package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumRentContractType {

    RENT_BY_AREA(1, "面积"),
    RENT_BY_JOINT(2, "联营扣点"),
    RENT_BY_AREA_AND_JOINT(3, "面积与联营扣点取高")
    ;

    public static EnumRentContractType getEnum(Integer code) {
        for (EnumRentContractType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumRentContractType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
